tigase.eventbus.impl

## Class EventsNameMap<M>

- java.lang.Object
- - tigase.eventbus.impl.EventsNameMap<M>

-     public class EventsNameMap<M>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventsNameMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collection<M>` | `createDataList()`
    `protected Map<String,Map<String,Collection<M>>>` | `createMainDataMap()`
    `protected Map<String,Collection<M>>` | `createNamesDataMap()`
    `void` | `delete(M data)`
    `void` | `delete(String pckg, String name, M data)`
    `Collection<M>` | `get(String pckg, String name)`
    `Collection<M>` | `getAllData()`
    `Set<EventName>` | `getAllListenedEvents()`
    `boolean` | `hasData(String pckg, String name)`
    `void` | `put(String pckg, String name, M data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventsNameMap

          public EventsNameMap()

  - ### Method Detail

    - #### delete

          public void delete(M data)

    - #### delete

          public void delete(String pckg,
                             String name,
                             M data)

    - #### get

          public Collection<M> get(String pckg,
                                   String name)

    - #### getAllData

          public Collection<M> getAllData()

    - #### getAllListenedEvents

          public Set<EventName> getAllListenedEvents()

    - #### hasData

          public boolean hasData(String pckg,
                                 String name)

    - #### put

          public void put(String pckg,
                          String name,
                          M data)

    - #### createDataList

          protected Collection<M> createDataList()

    - #### createMainDataMap

          protected Map<String,Map<String,Collection<M>>> createMainDataMap()

    - #### createNamesDataMap

          protected Map<String,Collection<M>> createNamesDataMap()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.